msg_send
msg_stat_queue
Semaphore Functions
PHP Manual

# msg_set_queue

(PHP 4 >= 4.3.0, PHP 5)

msg_set_queue — Set information in the message queue data structure

### Description

bool msg_set_queue ( resource `$queue` , array `$data` )

msg_set_queue() allows you to change the values of the msg_perm.uid, msg_perm.gid, msg_perm.mode and msg_qbytes fields of the underlying message queue data structure.

Changing the data structure will require that PHP be running as the same user that created the queue, owns the queue (as determined by the existing msg_perm.xxx fields), or be running with root privileges. root privileges are required to raise the msg_qbytes values above the system defined limit.

### Parameters

`queue`

  Message queue resource handle

`data`

  You specify the values you require by setting the value of the keys that you require in the `data` array.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- msg_remove_queue() - Destroy a message queue
- msg_receive() - Receive a message from a message queue
- msg_stat_queue() - Returns information from the message queue data structure
- msg_get_queue() - Create or attach to a message queue

msg_send
msg_stat_queue
Semaphore Functions
PHP Manual